org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class RepeatTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest.Traversals

- Enclosing class:
    RepeatTest

      public static class RepeatTest.Traversals
      extends RepeatTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

      `RepeatTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()`
    `Traversal<Vertex,Path>` | `get_g_V_emit_repeatXoutX_timesX2X_path()`
    `Traversal<Vertex,Path>` | `get_g_V_emit_timesX2X_repeatXoutX_path()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()`
    `Traversal<Vertex,Path>` | `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()`
    `Traversal<Vertex,String>` | `get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_emit_path()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X_emit()`
    `Traversal<Vertex,String>` | `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_repeatXoutX_timesX2X()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()`
    `Traversal<Vertex,String>` | `get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `Traversal<Vertex,String>` | `get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()`
    `Traversal<Vertex,String>` | `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)`
    `Traversal<Vertex,Map<Integer,Long>>` | `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values(Object v3Id)`
    `Traversal<Vertex,String>` | `get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name(Object v6Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatTest

      `g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang, g_V_emit_repeatXoutX_timesX2X_path, g_V_emit_timesX2X_repeatXoutX_path, g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name, g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX, g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang, g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX, g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX, g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX, g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name, g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label, g_V_repeatXoutX_timesX2X_emit_path, g_V_repeatXoutX_timesX2X_emit, g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name, g_V_repeatXoutX_timesX2X, g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX, g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang, g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang, g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name, g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX, g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name, g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name, g_VX1X_timesX2X_repeatXoutX_name, g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values, g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_repeatXoutX_timesX2X_emit_path

          public Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_emit_path()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_emit_path` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name

          public Traversal<Vertex,String> get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_repeatXinX_timesX2X_name` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X

          public Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X` in class `RepeatTest`

    - #### get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label

          public Traversal<Vertex,Path> get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label()

      Specified by:
        `get_g_V_repeatXoutE_inVX_timesX2X_path_by_name_by_label` in class `RepeatTest`

    - #### get_g_V_repeatXoutX_timesX2X_emit

          public Traversal<Vertex,Vertex> get_g_V_repeatXoutX_timesX2X_emit()

      Specified by:
        `get_g_V_repeatXoutX_timesX2X_emit` in class `RepeatTest`

    - #### get_g_VX1X_timesX2X_repeatXoutX_name

          public Traversal<Vertex,String> get_g_VX1X_timesX2X_repeatXoutX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_timesX2X_repeatXoutX_name` in class `RepeatTest`

    - #### get_g_V_emit_repeatXoutX_timesX2X_path

          public Traversal<Vertex,Path> get_g_V_emit_repeatXoutX_timesX2X_path()

      Specified by:
        `get_g_V_emit_repeatXoutX_timesX2X_path` in class `RepeatTest`

    - #### get_g_V_emit_timesX2X_repeatXoutX_path

          public Traversal<Vertex,Path> get_g_V_emit_timesX2X_repeatXoutX_path()

      Specified by:
        `get_g_V_emit_timesX2X_repeatXoutX_path` in class `RepeatTest`

    - #### get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name

          public Traversal<Vertex,String> get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_emitXhasXlabel_personXX_repeatXoutX_name` in class `RepeatTest`

    - #### get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX()

      Specified by:
        `get_g_V_repeatXgroupCountXmX_byXnameX_outX_timesX2X_capXmX` in class `RepeatTest`

    - #### get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX()

      Specified by:
        `get_g_V_repeatXbothX_timesX10X_asXaX_out_asXbX_selectXa_bX` in class `RepeatTest`

    - #### get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name

          public Traversal<Vertex,String> get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXoutX_untilXoutE_count_isX0XX_name` in class `RepeatTest`

    - #### get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX

          public Traversal<Vertex,Map<Integer,Long>> get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXgroupCountXmX_byXloopsX_outX_timesX3X_capXmX` in class `RepeatTest`

    - #### get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX

          public Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX()

      Specified by:
        `get_g_V_repeatXbothX_untilXname_eq_marko_or_loops_gt_1X_groupCount_byXnameX` in class `RepeatTest`

    - #### get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX

          public Traversal<Vertex,Path> get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX()

      Specified by:
        `get_g_V_hasXname_markoX_repeatXoutE_inV_simplePathX_untilXhasXname_rippleXX_path_byXnameX_byXlabelX` in class `RepeatTest`

    - #### get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name

          public Traversal<Vertex,Path> get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name()

      Specified by:
        `get_g_V_hasXloop_name_loopX_repeatXinX_timesX5X_path_by_name` in class `RepeatTest`

    - #### get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name

          public Traversal<Vertex,Path> get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name()

      Specified by:
        `get_g_V_repeatXout_repeatXoutX_timesX1XX_timesX1X_limitX1X_path_by_name` in class `RepeatTest`

    - #### get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX

          public Traversal<Vertex,Path> get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX()

      Specified by:
        `get_g_V_repeatXoutXknowsXX_untilXrepeatXoutXcreatedXX_emitXhasXname_lopXXX_path_byXnameX` in class `RepeatTest`

    - #### get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public Traversal<Vertex,String> get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

      Specified by:
        `get_g_V_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang` in class `RepeatTest`

    - #### get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang

          public Traversal<Vertex,String> get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang()

      Specified by:
        `get_g_V_untilXconstantXtrueXX_repeatXrepeatXout_createdXX_untilXhasXname_rippleXXXemit_lang` in class `RepeatTest`

    - #### get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values

          public Traversal<Vertex,String> get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values(Object v3Id)

      Specified by:
        `get_g_VX3X_repeatXbothX_createdXX_untilXloops_is_40XXemit_repeatXin_knowsXX_emit_loopsXisX1Xdedup_values` in class `RepeatTest`

    - #### get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang

          public Traversal<Vertex,String> get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang()

      Specified by:
        `get_g_V_repeatXa_outXknows_repeatXb_outXcreatedX_filterXloops_isX0XX_emit_lang` in class `RepeatTest`

    - #### get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang

          public Traversal<Vertex,String> get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang()

      Specified by:
        `get_g_V_emit_repeatXa_outXknows_filterXloops_isX0XX_lang` in class `RepeatTest`

    - #### get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name

          public Traversal<Vertex,String> get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name(Object v6Id)

      Specified by:
        `get_g_VX6X_repeatXa_bothXcreatedX_simplePathX_emitXrepeatXb_bothXknowsXX_untilXloopsXbX_asXb_whereXloopsXaX_asXbX_hasXname_vadasXX_dedup_name` in class `RepeatTest`

    - #### get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name

          public Traversal<Vertex,String> get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXrepeatXunionXout_uses_out_traversesXX_whereXloops_isX0X_timesX1X_timeX2X_name` in class `RepeatTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.